## org.hibernate.cache
Interface ReadWriteCache.Lockable

All Known Implementing Classes:
  ReadWriteCache.Item, ReadWriteCache.Lock

Enclosing class:
  ReadWriteCache

    public static interface ReadWriteCache.Lockable

Method Summary
`boolean` `isGettable(long txTimestamp)`
`boolean` `isLock()`
`boolean` `isPuttable(long txTimestamp, Object newVersion, Comparator comparator)`
`ReadWriteCache.Lock` `lock(long timeout, int id)`

Method Detail

### lock

    ReadWriteCache.Lock lock(long timeout,
                             int id)

### isLock

    boolean isLock()

### isGettable

    boolean isGettable(long txTimestamp)

### isPuttable

    boolean isPuttable(long txTimestamp,
                       Object newVersion,
                       Comparator comparator)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.